# Generated from spinning_cursor-0.3.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name spinning_cursor

Name: rubygem-%{gem_name}
Version: 0.3.0
Release: 1%{?dist}
Summary: A DSL for adding animated loaders to your Ruby command line application
License: MIT
URL: http://github.com/Prydonius/spinning_cursor
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(jeweler) >= 1.8.4
# BuildRequires: rubygem(jeweler) < 1.9
# BuildRequires: rubygem(yard) >= 0.8.6.2
# BuildRequires: rubygem(yard) < 0.8.7
# BuildRequires: rubygem(redcarpet)
# BuildRequires: rubygem(github-markup)
BuildArch: noarch

%description
Spinning Cursor is a flexible DSL that allows you to easily produce a
customizable waiting/loading message for your Ruby command line program.
Beautifully keep your users informed with what your program is doing when a
more complex solution, such as a progress bar, doesn't fit your needs.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.travis.yml
%exclude %{gem_instdir}/.yardopts
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/Rakefile.ci
%{gem_instdir}/VERSION
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.document
%doc %{gem_instdir}/CHANGELOG
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/spinning_cursor.gemspec
%{gem_instdir}/test

%changelog
* Wed Aug 25 2021 mockbuilder - 0.3.0-1
- Initial package
